"""

This module serves as the core of the application, integrating essential services for the Retrieval-Augmented Generation (RAG) workflow.

Modules:
    EmbeddingService: Handles document embedding generation and retrieval for context-aware processing.
    LLMService: Interfaces with large language models (LLMs) to generate answers to user queries.
    Processor: Orchestrates workflows between the embedding and LLM services, ensuring seamless data flow and processing.

Purpose:
    - Provides the foundational logic and services required to power the application's RAG functionalities.
"""
